/*
/*
A copyright statement is attached to every file and product created for the
project.  It takes the form of the copyright statement for this 
document:

The project provides a modern way to design and knit garments
using domestic and semi-professional knitting machines.  This document
describes the LockController hardware.

Copyright (C) 2020 Owen Mace

This document is free information: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <https://www.gnu.org/licenses/>.
*/


include <LC_Constants.scad>

//Draw the Alignment Plate
difference()
{
  cube([ ContainerXmm, AlignmentPlateYmm, ContainerTmm * 2], center=true);
  translate([ 0, 0, -ContainerTmm * 2])
    cylinder( ContainerTmm * 6, d = HoleDmm);
}
translate([ -ContainerXmm / 4, 0])
  cylinder( ContainerTmm * 3, ScrewPostRmm - Tolerancemm * 2, ScrewPostRmm - Tolerancemm * 2);
translate([  ContainerXmm / 4, 0])
  cylinder( ContainerTmm * 3, ScrewPostRmm - 0.3, ScrewPostRmm - Tolerancemm * 2);
